CCOSH(3)

NAME
ccosh, ccoshf, ccoshl - complex hyperbolic cosine

SYNOPSIS
#include <complex.h>
double complex
ccosh(double complex z);
float complex
ccoshf(float complex z);
long double complex
ccoshl(long double complex z);

DESCRIPTION
The ccosh(), ccoshf() and ccoshl() functions compute the complex hyperbolic cosine of z.

If z = x + iy, then

    ccosh(z) = cosh(x) cos(y) + i sinh(x) sin(y).

RETURN VALUES
The ccosh(), ccoshf() and ccoshl() functions return the complex hyperbolic cosine of z.

SEE ALSO
csinh(3), ctanh(3)

STANDARDS
The ccosh(), ccoshf() and ccoshl() functions conform to isoC-99.